{include file="header.tpl" enable_calendar=true body_onload="showPayType()"}

<script	language=JavaScript>
{literal}
function showPayType() {
	pay_type_id = document.getElementById('pay_type_id').value;

	document.getElementById('pay_type_10_desc').style.display = 'none';
	document.getElementById('pay_type_20_desc').style.display = 'none';

	document.getElementById('pay_type_10_help').style.display = 'none';
	document.getElementById('pay_type_20_help').style.display = 'none';

	if ( pay_type_id == 10 ) {
		document.getElementById('pay_type_10_desc').className = '';
		document.getElementById('pay_type_10_desc').style.display = '';

		document.getElementById('pay_type_10_help').className = '';
		document.getElementById('pay_type_10_help').style.display = '';
	} else {
		document.getElementById('pay_type_20_desc').className = '';
		document.getElementById('pay_type_20_desc').style.display = '';

		document.getElementById('pay_type_20_help').className = '';
		document.getElementById('pay_type_20_help').style.display = '';
	}
}
{/literal}
</script>

<div id="rowContent">
  <div id="titleTab"><div class="textTitle"><span class="textTitleSub">{$title}</span></div>
</div>
<div id="rowContentInner">

		<form method="post" name="wage" action="{$smarty.server.SCRIPT_NAME}">
		    <div id="contentBoxTwoEdit">
				{if !$ppf->Validator->isValid()}
					{include file="form_errors.tpl" object="ppf"}
				{/if}

				<table class="editTable">

				<tr onClick="showHelpEntry('name')">
					<td class="{isvalid object="ppf" label="name" value="cellLeftEditTable"}">
						Name:
					</td>
					<td class="cellRightEditTable">
						<input type="text" name="data[name]" value="{$data.name}">
					</td>
				</tr>

				<tr onClick="showHelpEntry('type')">
					<td class="{isvalid object="ppf" label="type" value="cellLeftEditTable"}">
						Type:
					</td>
					<td class="cellRightEditTable">
						<select id="type_id" name="data[type_id]">
							{html_options options=$data.type_options selected=$data.type_id}
						</select>
					</td>
				</tr>

				<tr onClick="showHelpEntry('start_date')">
					<td class="{isvalid object="rscf" label="start_date" value="cellLeftEditTable"}">
						Start Date:
					</td>
					<td class="cellRightEditTable">
						<input type="text" size="22" id="start_date" name="data[start_date]" value="{getdate type="DATE" epoch=$data.start_date}">
						<img src="{$BASE_URL}/images/cal.gif" id="cal_start_date" width="16" height="16" border="0" alt="Pick a date" onMouseOver="calendar_setup('start_date', 'cal_start_date', false);">
						ie: {$current_user_prefs->getDateFormatExample()} <b>(Leave blank for no start date)</b>
					</td>
				</tr>

				<tr onClick="showHelpEntry('end_date')">
					<td class="{isvalid object="rscf" label="end_date" value="cellLeftEditTable"}">
						End Date:
					</td>
					<td class="cellRightEditTable">
						<input type="text" size="22" id="end_date" name="data[end_date]" value="{getdate type="DATE" epoch=$data.end_date}">
						<img src="{$BASE_URL}/images/cal.gif" id="cal_end_date" width="16" height="16" border="0" alt="Pick a date" onMouseOver="calendar_setup('end_date', 'cal_end_date', false);">
						ie: {$current_user_prefs->getDateFormatExample()} <b>(Leave blank for no end date)</b>
					</td>
				</tr>

				<tr onClick="showHelpEntry('start_time')">
					<td class="{isvalid object="rscf" label="start_time" value="cellLeftEditTable"}">
						Start Time:
					</td>
					<td class="cellRightEditTable">
						<input type="text" size="10" name="data[start_time]" value="{getdate type="TIME" epoch=$data.start_time}">
						ie: {$current_user_prefs->getTimeFormatExample()}
					</td>
				</tr>

				<tr onClick="showHelpEntry('end_time')">
					<td class="{isvalid object="rscf" label="end_time" value="cellLeftEditTable"}">
						End Time:
					</td>
					<td class="cellRightEditTable">
						<input type="text" size="10" name="data[end_time]" value="{getdate type="TIME" epoch=$data.end_time}">
						ie: {$current_user_prefs->getTimeFormatExample()}
					</td>
				</tr>

				<tr onClick="showHelpEntry('effective_days')">
					<td class="{isvalid object="rscf" label="effective_days" value="cellLeftEditTable"}">
						Effective Days:
					</td>
					<td class="cellRightEditTable">
						<table width="280">
							<tr align="center" style="font-weight: bold">
								<td>
									Sun
								</td>
								<td>
									Mon
								</td>
								<td>
									Tue
								</td>
								<td>
									Wed
								</td>
								<td>
									Thu
								</td>
								<td>
									Fri
								</td>
								<td>
									Sat
								</td>
							</tr>
							<tr align="center">
								<td>
									<input type="checkbox" class="checkbox" name="data[sun]" value="1" {if $data.sun == TRUE}checked{/if}>
								</td>
								<td>
									<input type="checkbox" class="checkbox" name="data[mon]" value="1" {if $data.mon == TRUE}checked{/if}>
								</td>
								<td>
									<input type="checkbox" class="checkbox" name="data[tue]" value="1" {if $data.tue == TRUE}checked{/if}>
								</td>
								<td>
									<input type="checkbox" class="checkbox" name="data[wed]" value="1" {if $data.wed == TRUE}checked{/if}>
								</td>
								<td>
									<input type="checkbox" class="checkbox" name="data[thu]" value="1" {if $data.thu == TRUE}checked{/if}>
								</td>
								<td>
									<input type="checkbox" class="checkbox" name="data[fri]" value="1" {if $data.fri == TRUE}checked{/if}>
								</td>
								<td>
									<input type="checkbox" class="checkbox" name="data[sat]" value="1" {if $data.sat == TRUE}checked{/if}>
								</td>
							</tr>
						</table>
					</td>
				</tr>

				<tr onClick="showHelpEntry('pay_type')">
					<td class="{isvalid object="ppf" label="pay_type" value="cellLeftEditTable"}">
						Pay Type:
					</td>
					<td class="cellRightEditTable">
						<select id="pay_type_id" name="data[pay_type_id]" onChange="showPayType()">
							{html_options options=$data.pay_type_options selected=$data.pay_type_id}
						</select>
					</td>
				</tr>

				<tr onClick="showHelpEntry('rate')">
					<td class="{isvalid object="ppf" label="rate" value="cellLeftEditTable"}">
						<span id="pay_type_10_desc" style="display:none">Rate</span><span id="pay_type_20_desc" style="display:none">Premium</span>:
					</td>
					<td class="cellRightEditTable">
						<input type="text" size="8" name="data[rate]" value="{$data.rate}"> (ie: <span id="pay_type_10_help" style="display:none">1.5 for time and a half</span><span id="pay_type_20_help" style="display:none">0.75 for 75 cents/hr</span>)
					</td>
				</tr>

				<tr onClick="showHelpEntry('pay_stub_entry')">
					<td class="{isvalid object="ppf" label="pay_stub_entry_account_id" value="cellLeftEditTable"}">
						Pay Stub Account:
					</td>
					<td class="cellRightEditTable">
						<select id="pay_stub_entry_name" name="data[pay_stub_entry_account_id]">
							{html_options options=$data.pay_stub_entry_options selected=$data.pay_stub_entry_account_id}
						</select>
					</td>
				</tr>
			</table>
		</div>

		<div id="contentBoxFour">
			<input type="submit" class="btnSubmit" name="action" value="Submit">
		</div>

		<input type="hidden" name="data[id]" value="{$data.id}">
		</form>
	</div>
</div>
{include file="footer.tpl"}
