{include file="sm_header.tpl" enable_calendar=true enable_ajax=TRUE body_onload="fixHeight(); showAbsencePolicy();"}

<script language="JavaScript">
{literal}
function fixHeight() {
	resizeWindowToFit(document.getElementById('body'), 'height', 55);
}

function showAbsencePolicy() {
	status_obj = document.getElementById('status_id');
	absence_obj = document.getElementById('absence');
	if ( status_obj[status_obj.selectedIndex].value == 10 ) {
		absence_obj.className = '';
		absence_obj.style.display = 'none';
	} else {
		absence_obj.className = '';
		absence_obj.style.display = '';
	}

	fixHeight();
}

var hwCallback = {
		getScheduleTotalTime: function(result) {
			if ( result != false ) {
				//alert('aWeek Row: '+ week_row);
				document.getElementById('total_time').innerHTML = result;
			}
		}
	}

var remoteHW = new AJAX_Server(hwCallback);

function getScheduleTotalTime() {
	start_time = document.getElementById('start_time').value;
	end_time = document.getElementById('end_time').value;
	schedule_policy_obj = document.getElementById('schedule_policy_id');
	schedule_policy_id = schedule_policy_obj[schedule_policy_obj.selectedIndex].value;


	if ( start_time != '' && end_time != '' ) {
		remoteHW.getScheduleTotalTime( start_time, end_time, schedule_policy_id );
	}
}

{/literal}
</script>


<div id="rowContent">
  <div id="titleTab"><div class="textTitle"><span class="textTitleSub">{$title}</span></div>
</div>
<div id="rowContentInner">

		<form method="post" name="wage" action="{$smarty.server.SCRIPT_NAME}">
		    <div id="contentBoxTwoEdit">
				{if !$sf->Validator->isValid()}
					{include file="form_errors.tpl" object="sf"}
				{/if}

				<table class="editTable">
				{if $data.pay_period_is_locked == TRUE}
					<tr class="tblDataError">
						<td colspan="2">
							<b>NOTICE:</b> This pay period is currently locked, modifications are not permitted.
						</td>
					</tr>
				{/if}

				<tr>
					<td class="cellLeftEditTable">
						Employee:
					</td>
					<td class="cellRightEditTable">
						{if $data.user_id == ''}
							<select id="user_id" name="data[user_id]">
								{html_options options=$data.user_options selected=$data.user_id}
							</select>
						{else}
							{$data.user_full_name}
							<input type="hidden" name="data[user_id]" value="{$data.user_id}">
							<input type="hidden" name="data[user_full_name]" value="{$data.user_full_name}">
						{/if}
					</td>
				</tr>

				<tr onClick="showHelpEntry('status')">
					<td class="{isvalid object="sf" label="status" value="cellLeftEditTable"}">
						Status:
					</td>
					<td class="cellRightEditTable">
						<select id="status_id" name="data[status_id]" onChange="showAbsencePolicy();">
							{html_options options=$data.status_options selected=$data.status_id}
						</select>
					</td>
				</tr>

				<tr onClick="showHelpEntry('date_stamp')">
					<td class="{isvalid object="sf" label="date_stamp" value="cellLeftEditTable"}">
						<a href="javascript:toggleRowObject('repeat');toggleImage(document.getElementById('repeat_img'), '{$IMAGES_URL}/nav_bottom_sm.gif', '{$IMAGES_URL}/nav_top_sm.gif'); fixHeight(); "><img style="vertical-align: middle" id="repeat_img" src="{$IMAGES_URL}/nav_bottom_sm.gif"></a>
						Date:
					</td>
					<td class="cellRightEditTable">
						<input type="text" size="22" id="date" name="data[date_stamp]" value="{getdate type="DATE" epoch=$data.date_stamp}">
						<img src="{$BASE_URL}/images/cal.gif" id="cal_date" width="16" height="16" border="0" alt="Pick a date" onMouseOver="calendar_setup('date', 'cal_date', false);">
						ie: {$current_user_prefs->getDateFormatExample()}
					</td>
				</tr>

				<tbody id="repeat" style="display:none">
				<tr>
					<td class="{isvalid object="pcf" label="repeat" value="cellLeftEditTable"}">
						Repeat Schedule for:
					</td>
					<td class="cellRightEditTable">
						<input type="text" size="3" id="time_stamp" name="data[repeat]" value="0"> day(s) after above date.
					</td>
				</tr>
				</tbody>

				<tr onClick="showHelpEntry('start_time')">
					<td class="{isvalid object="sf" label="start_time" value="cellLeftEditTable"}">
						In:
					</td>
					<td class="cellRightEditTable">
						<input type="text" size="8" id="start_time" name="data[start_time]" value="{getdate type="TIME" epoch=$data.parsed_start_time}" onChange="getScheduleTotalTime();">
						ie: {$current_user_prefs->getTimeFormatExample()}
					</td>
				</tr>

				<tr onClick="showHelpEntry('end_time')">
					<td class="{isvalid object="sf" label="end_time" value="cellLeftEditTable"}">
						Out:
					</td>
					<td class="cellRightEditTable">
						<input type="text" size="8" id="end_time" name="data[end_time]" value="{getdate type="TIME" epoch=$data.parsed_end_time}" onChange="getScheduleTotalTime();">
						ie: {$current_user_prefs->getTimeFormatExample()}
					</td>
				</tr>

				<tr onClick="showHelpEntry('total_time')">
					<td class="{isvalid object="sf" label="total_time" value="cellLeftEditTable"}">
						Total:
					</td>
					<td class="cellRightEditTable">
						<span id="total_time">
							{gettimeunit value=$data.total_time default=true}
						</span>
					</td>
				</tr>

				<tr onClick="showHelpEntry('schedule_policy')">
					<td class="{isvalid object="sf" label="schedule_policy" value="cellLeftEditTable"}">
						Schedule Policy:
					</td>
					<td class="cellRightEditTable">
						<select id="schedule_policy_id" name="data[schedule_policy_id]" onChange="getScheduleTotalTime();">
							{html_options options=$data.schedule_policy_options selected=$data.schedule_policy_id}
						</select>
					</td>
				</tr>

				<tbody id="absence" style="display:none">
				<tr onClick="showHelpEntry('absence_policy')">
					<td class="{isvalid object="sf" label="absence_policy" value="cellLeftEditTable"}">
						Absence Policy:
					</td>
					<td class="cellRightEditTable">
						<select id="absence_policy_id" name="data[absence_policy_id]">
							{html_options options=$data.absence_policy_options selected=$data.absence_policy_id}
						</select>
					</td>
				</tr>
				</tbody>

				<tr onClick="showHelpEntry('branch')">
					<td class="{isvalid object="sf" label="branch" value="cellLeftEditTable"}">
						Branch:
					</td>
					<td class="cellRightEditTable">
						<select id="branch_id" name="data[branch_id]">
							{html_options options=$data.branch_options selected=$data.branch_id}
						</select>
					</td>
				</tr>

				<tr onClick="showHelpEntry('department')">
					<td class="{isvalid object="sf" label="department" value="cellLeftEditTable"}">
						Department:
					</td>
					<td class="cellRightEditTable">
						<select id="department_id" name="data[department_id]">
							{html_options options=$data.department_options selected=$data.department_id}
						</select>
					</td>
				</tr>

				{if $permission->Check('job','enabled') }
				<tr onClick="showHelpEntry('job')">
					<td class="{isvalid object="sf" label="job" value="cellLeftEditTable"}">
						Job:
					</td>
					<td class="cellRightEditTable">
						<select id="job_id" name="data[job_id]">
							{html_options options=$data.job_options selected=$data.job_id}
						</select>
					</td>
				</tr>

				<tr onClick="showHelpEntry('job_item')">
					<td class="{isvalid object="sf" label="job_item" value="cellLeftEditTable"}">
						Task:
					</td>
					<td class="cellRightEditTable">
						<select id="job_item_id" name="data[job_item_id]">
							{html_options options=$data.job_item_options selected=$data.job_item_id}
						</select>
					</td>
				</tr>
				{/if}
			</table>
		</div>

		<div id="contentBoxFour">
			<input type="submit" class="btnSubmit" name="action" value="Submit" {if $data.pay_period_is_locked == TRUE}disabled="true"{/if}>
			<input type="submit" class="btnSubmit" name="action" value="Delete" {if $data.pay_period_is_locked == TRUE}disabled="true"{/if}>
		</div>

		<input type="hidden" name="data[id]" value="{$data.id}">
		</form>
	</div>
</div>
{include file="sm_footer.tpl"}