{include file="header.tpl" enable_calendar=TRUE enable_ajax=TRUE body_onload="formChangeDetect(); showProvince()"}
<script	language=JavaScript>

{literal}
var loading = false;
var hwCallback = {
		getProvinceOptions: function(result) {
			if ( result != false ) {
				province_obj = document.getElementById('province');
				selected_province = document.getElementById('selected_province').value;

				populateSelectBox( province_obj, result, selected_province);
			}
			loading = false;
		}
	}

var remoteHW = new AJAX_Server(hwCallback);

function showProvince() {
	country = document.getElementById('country').value;
	remoteHW.getProvinceOptions( country );
}
{/literal}
</script>

<div id="rowContent">
  <div id="titleTab"><div class="textTitle"><span class="textTitleSub">{$title}</span></div>
</div>
<div id="rowContentInner">

		<form method="post" name="edituser" action="{$smarty.server.SCRIPT_NAME}">
		    <div id="contentBoxTwoEdit">
				{if !$uf->Validator->isValid()}
					{include file="form_errors.tpl" object="uf"}
				{/if}

			<table class="editTable">

				{include file="data_saved.tpl" result=$data_saved}

				{if $incomplete == 1}
					<tr id="warning">
						<td colspan="7">
							Welcome to <b>{$APPLICATION_NAME}</b>, since this is your first time logging in, we need you to fill out the following information.
						</td>
					</tr>
				{/if}

				{if $permission->Check('user','edit_advanced') AND $user_data.id != ''}
				<tr class="tblHeader">
					<td colspan="2">
						Employee:
						<a href="javascript: submitModifiedForm('filter_user', 'prev', document.edituser);"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_prev_sm.gif"></a>
						<select name="id" id="filter_user" onChange="submitModifiedForm('filter_user', '', document.edituser);">
							{html_options options=$user_data.user_options selected=$user_data.id}
						</select>
						<input type="hidden" id="old_filter_user" value="{$user_data.id}">
						<a href="javascript: submitModifiedForm('filter_user', 'next', document.edituser);"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_next_sm.gif"></a>
						&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					</td>
				</tr>
				{/if}

				<tr>
					<td valign="top">
						<table class="editTable">
							<tr class="tblHeader">
								<td colspan="2">
									Employee Identification
								</td>
							</tr>

							<tr onClick="showHelpEntry('company')">
								<td class="{isvalid object="uf" label="company" value="cellLeftEditTable"}">
									Company:
								</td>
								<td class="cellRightEditTable">
									{if $permission->Check('company','view')}
										<select name="user_data[company]">
											{html_options options=$user_data.company_options selected=$user_data.company}
										</select>
									{else}
										{$user_data.company_options[$user_data.company]}
									{/if}
								</td>
							</tr>

							{if $permission->Check('user','edit_advanced')}
							<tr onClick="showHelpEntry('status')">
								<td class="{isvalid object="uf" label="status" value="cellLeftEditTable"}">
									Status:
								</td>
								<td class="cellRightEditTable">
									{if $permission->Check('user','edit_advanced')}
										<select name="user_data[status]">
											{html_options options=$user_data.status_options selected=$user_data.status}
										</select>
									{else}
										{$user_data.status_options[$user_data.status]}
									{/if}
								</td>
							</tr>

							<tr onClick="showHelpEntry('pay_period_schedule')">
								<td class="{isvalid object="uf" label="pay_period_schedule" value="cellLeftEditTable"}">
									Pay Period Schedule:
								</td>
								<td class="cellRightEditTable">
									<select name="user_data[pay_period_schedule_id]">
										{html_options options=$user_data.pay_period_schedule_options selected=$user_data.pay_period_schedule_id}
									</select>
								</td>
							</tr>

							<tr onClick="showHelpEntry('policy_group')">
								<td class="{isvalid object="uf" label="policy_group" value="cellLeftEditTable"}">
									Policy Group:
								</td>
								<td class="cellRightEditTable">
									<select name="user_data[policy_group_id]">
										{html_options options=$user_data.policy_group_options selected=$user_data.policy_group_id}
									</select>
								</td>
							</tr>

							{/if}

							<tr onClick="showHelpEntry('user_name')">
								<td class="{isvalid object="uf" label="user_name" value="cellLeftEditTable"}">
									{if $permission->Check('user','edit_advanced')}<font color="red">*</font>{/if}User Name:
								</td>
								<td class="cellRightEditTable">
									{if $permission->Check('user','edit_advanced')}
										<input type="text" name="user_data[user_name]" value="{$user_data.user_name}">
									{else}
										{$user_data.user_name}
									{/if}
								</td>
							</tr>

							{if $permission->Check('user','edit_advanced')}
							<tr onClick="showHelpEntry('password')">
								<td class="{isvalid object="uf" label="password" value="cellLeftEditTable"}">
									{if $permission->Check('user','edit_advanced')}<font color="red">*</font>{/if}Password:
								</td>
								<td class="cellRightEditTable">
									<input type="password" name="user_data[password]" value="{$user_data.password}">
								</td>
							</tr>

							<tr onClick="showHelpEntry('password')">
								<td class="{isvalid object="uf" label="password" value="cellLeftEditTable"}">
									{if $permission->Check('user','edit_advanced')}<font color="red">*</font>{/if}Password (confirm):
								</td>
								<td class="cellRightEditTable">
									<input type="password" name="user_data[password2]" value="{$user_data.password2}">
								</td>
							</tr>

							<tr onClick="showHelpEntry('employee_number')">
								<td class="{isvalid object="uf" label="employee_number" value="cellLeftEditTable"}">
									Employee Number:
								</td>
								<td class="cellRightEditTable">
									{if $permission->Check('user','edit') OR ($permission->Check('user','edit_child') AND $user_data.is_child === TRUE) OR ($permission->Check('user','edit_own') AND $user_data.is_owner === TRUE)}
										<input type="text" size="10" name="user_data[employee_number]" value="{$user_data.employee_number|default:$user_data.next_available_employee_number}">
										{if $user_data.next_available_employee_number != ''}
										Next available: {$user_data.next_available_employee_number}
										{/if}
									{else}
										{$user_data.employee_number|default:"N/A"}
									{/if}
								</td>
							</tr>

							<tr onClick="showHelpEntry('phone_id')">
								<td class="{isvalid object="uf" label="phone_id" value="cellLeftEditTable"}">
									Phone ID:
								</td>
								<td class="cellRightEditTable">
									<input type="text" size="15" name="user_data[phone_id]" value="{$user_data.phone_id}">
								</td>
							</tr>

							<tr onClick="showHelpEntry('phone_password')">
								<td class="{isvalid object="uf" label="phone_password" value="cellLeftEditTable"}">
									Phone Password:
								</td>
								<td class="cellRightEditTable">
									<input type="text" size="15" name="user_data[phone_password]" value="{$user_data.phone_password}">
								</td>
							</tr>

							<tr onClick="showHelpEntry('phone_password')">
								<td class="{isvalid object="uf" label="phone_password" value="cellLeftEditTable"}">
									Phone Password (confirm):
								</td>
								<td class="cellRightEditTable">
									<input type="text" size="15" name="user_data[phone_password2]" value="{$user_data.phone_password2}">
								</td>
							</tr>

							<tr onClick="showHelpEntry('ibutton_id')">
								<td class="{isvalid object="uf" label="ibutton_id" value="cellLeftEditTable"}">
									iButton ID:
								</td>
								<td class="cellRightEditTable">
									<input type="text" name="user_data[ibutton_id]" value="{$user_data.ibutton_id}">
								</td>
							</tr>

							<tr onClick="showHelpEntry('default_branch')">
								<td class="{isvalid object="uf" label="default_branch" value="cellLeftEditTable"}">
									Default Branch:
								</td>
								<td class="cellRightEditTable">
									<select name="user_data[default_branch_id]">
										{html_options options=$user_data.branch_options selected=$user_data.default_branch_id}
									</select>
								</td>
							</tr>

							<tr onClick="showHelpEntry('default_department')">
								<td class="{isvalid object="uf" label="default_department" value="cellLeftEditTable"}">
									Default Department:
								</td>
								<td class="cellRightEditTable">
									<select name="user_data[default_department_id]">
										{html_options options=$user_data.department_options selected=$user_data.default_department_id}
									</select>
								</td>
							</tr>

							<tr onClick="showHelpEntry('group')">
								<td class="{isvalid object="uf" label="group" value="cellLeftEditTable"}">
									Group:
								</td>
								<td class="cellRightEditTable">
									<select name="user_data[group_id]">
										{html_options options=$user_data.group_options selected=$user_data.group_id}
									</select>
								</td>
							</tr>

							<tr onClick="showHelpEntry('title')">
								<td class="{isvalid object="uf" label="title" value="cellLeftEditTable"}">
									Title:
								</td>
								<td class="cellRightEditTable">
									{if $permission->Check('user','edit') OR ($permission->Check('user','edit_child') AND $user_data.is_child === TRUE) OR ($permission->Check('user','edit_own') AND $user_data.is_owner === TRUE)}
										<select name="user_data[title_id]">
											{html_options options=$user_data.title_options selected=$user_data.title_id}
										</select>
									{else}
										{* {$user_data.title_options[$user_data.title_id]} *}
										{$user_data.title|default:"N/A"}
									{/if}
								</td>
							</tr>

							<tr onClick="showHelpEntry('hire_date')">
								<td class="{isvalid object="uf" label="hire_date" value="cellLeftEditTable"}">
									Hire Date:
								</td>
								<td class="cellRightEditTable">
									<input type="text" size="10" id="hire_date" name="user_data[hire_date]" value="{getdate type="DATE" epoch=$user_data.hire_date}">
									<img src="{$BASE_URL}/images/cal.gif" id="cal_hire_date" width="16" height="16" border="0" alt="Pick a date" onMouseOver="calendar_setup('hire_date', 'cal_hire_date', false);">
									ie: {$current_user_prefs->getDateFormatExample()}
								</td>
							</tr>

							<tr onClick="showHelpEntry('termination_date')">
								<td class="{isvalid object="uf" label="termination_date" value="cellLeftEditTable"}">
									Termination Date:
								</td>
								<td class="cellRightEditTable">
									<input type="text" size="10" id="termination_date" name="user_data[termination_date]" value="{getdate type="DATE" epoch=$user_data.termination_date}">
									<img src="{$BASE_URL}/images/cal.gif" id="cal_termination_date" width="16" height="16" border="0" alt="Pick a date" onMouseOver="calendar_setup('termination_date', 'cal_termination_date', false);">
									ie: {$current_user_prefs->getDateFormatExample()}
								</td>
							</tr>

							{if isset($user_data.other_field_names.other_id1) }
								<tr onClick="showHelpEntry('other_id1')">
									<td class="{isvalid object="uf" label="other_id1" value="cellLeftEditTable"}">
										{$user_data.other_field_names.other_id1}:
									</td>
									<td class="cellRightEditTable">
										<input type="text" name="user_data[other_id1]" value="{$user_data.other_id1}">
									</td>
								</tr>
							{/if}

							{if isset($user_data.other_field_names.other_id2) }
							<tr onClick="showHelpEntry('other_id2')">
								<td class="{isvalid object="uf" label="other_id2" value="cellLeftEditTable"}">
									{$user_data.other_field_names.other_id2}:
								</td>
								<td class="cellRightEditTable">
									<input type="text" name="user_data[other_id2]" value="{$user_data.other_id2}">
								</td>
							</tr>
							{/if}
							{if isset($user_data.other_field_names.other_id3) }
							<tr onClick="showHelpEntry('other_id3')">
								<td class="{isvalid object="uf" label="other_id3" value="cellLeftEditTable"}">
									{$user_data.other_field_names.other_id3}:
								</td>
								<td class="cellRightEditTable">
									<input type="text" name="user_data[other_id3]" value="{$user_data.other_id3}">
								</td>
							</tr>
							{/if}
							{if isset($user_data.other_field_names.other_id4) }
								<tr onClick="showHelpEntry('other_id4')">
									<td class="{isvalid object="uf" label="other_id4" value="cellLeftEditTable"}">
										{$user_data.other_field_names.other_id4}:
									</td>
									<td class="cellRightEditTable">
										<input type="text" name="user_data[other_id4]" value="{$user_data.other_id4}">
									</td>
								</tr>
							{/if}
							{if isset($user_data.other_field_names.other_id5) }
								<tr onClick="showHelpEntry('other_id5')">
									<td class="{isvalid object="uf" label="other_id5" value="cellLeftEditTable"}">
										{$user_data.other_field_names.other_id5}:
									</td>
									<td class="cellRightEditTable">
										<input type="text" name="user_data[other_id5]" value="{$user_data.other_id5}">
									</td>
								</tr>
							{/if}

							{/if}
{if $permission->Check('user','edit_advanced') AND ( $permission->Check('user','edit') OR ($permission->Check('user','edit_child') AND $user_data.is_child === TRUE) OR ($permission->Check('user','edit_own') AND $user_data.is_owner === TRUE) )}
						</table>
					</td>
					<td valign="top">
						<table class="editTable">
{/if}

							<tr class="tblHeader">
								<td colspan="2">
									Contact Information
								</td>
							</tr>

							<tr onClick="showHelpEntry('first_name')">
								<td class="{isvalid object="uf" label="first_name" value="cellLeftEditTable"}">
									{if $permission->Check('user','edit_advanced')}<font color="red">*</font>{/if}First Name:
								</td>
								<td class="cellRightEditTable">
									<input type="text" name="user_data[first_name]" value="{$user_data.first_name}">
								</td>
							</tr>

							<tr onClick="showHelpEntry('middle_name')">
								<td class="{isvalid object="uf" label="middle_name" value="cellLeftEditTable"}">
									Middle Name:
								</td>
								<td class="cellRightEditTable">
									<input type="text" name="user_data[middle_name]" value="{$user_data.middle_name}">
								</td>
							</tr>

							<tr onClick="showHelpEntry('last_name')">
								<td class="{isvalid object="uf" label="last_name" value="cellLeftEditTable"}">
									{if $permission->Check('user','edit_advanced')}<font color="red">*</font>{/if}Last Name:
								</td>
								<td class="cellRightEditTable">
									<input type="text" name="user_data[last_name]" value="{$user_data.last_name}">
								</td>
							</tr>

							<tr onClick="showHelpEntry('sex')">
								<td class="{isvalid object="uf" label="sex" value="cellLeftEditTable"}">
									Sex:
								</td>
								<td class="cellRightEditTable">
									<select name="user_data[sex]">
										{html_options options=$user_data.sex_options selected=$user_data.sex}
									</select>
								</td>
							</tr>

							<tr onClick="showHelpEntry('address1')">
								<td class="{isvalid object="uf" label="address1" value="cellLeftEditTable"}">
									{if $incomplete == 1}<font color="red">*</font>{/if}Home Address (Line 1):
								</td>
								<td class="cellRightEditTable">
									<input type="text" name="user_data[address1]" size="30" value="{$user_data.address1}">
								</td>
							</tr>

							<tr onClick="showHelpEntry('address2')">
								<td class="{isvalid object="uf" label="address2" value="cellLeftEditTable"}">
									Home Address (Line 2):
								</td>
								<td class="cellRightEditTable">
									<input type="text" name="user_data[address2]" size="30" value="{$user_data.address2}">
								</td>
							</tr>

							<tr onClick="showHelpEntry('city')">
								<td class="{isvalid object="uf" label="city" value="cellLeftEditTable"}">
									{if $incomplete == 1}<font color="red">*</font>{/if}City:
								</td>
								<td class="cellRightEditTable">
									<input type="text" name="user_data[city]" value="{$user_data.city}">
								</td>
							</tr>

							<tr onClick="showHelpEntry('country')">
								<td class="{isvalid object="uf" label="country" value="cellLeftEditTable"}">
									Country:
								</td>
								<td class="cellRightEditTable">
									{if $permission->Check('user','edit_advanced')}
										<select id="country" name="user_data[country]" onChange="showProvince()">
											{html_options options=$user_data.country_options selected=$user_data.country}
										</select>
									{else}
										{$user_data.country_options[$user_data.country]}
									{/if}
								</td>
							</tr>

							<tr onClick="showHelpEntry('province')">
								<td class="{isvalid object="uf" label="province" value="cellLeftEditTable"}">
									Province / State:
								</td>
								<td class="cellRightEditTable">
									{if $permission->Check('user','edit_advanced')}
										<select id="province" name="user_data[province]">
											{* {html_options options=$user_data.province_options selected=$user_data.province} *}
										</select>
									{else}
										{$user_data.province_options[$user_data.province]}
									{/if}
									<input type="hidden" id="selected_province" value="{$user_data.province}">
								</td>
							</tr>

{*
							<tbody id="province" {if $user_data.country == 'US'}style="display:none"{/if}>
							<tr onClick="showHelpEntry('province')">
								<td class="{isvalid object="uf" label="province" value="cellLeftEditTable"}">
									Province:
								</td>
								<td class="cellRightEditTable">
									{if $permission->Check('user','edit_advanced')}
										<select id="province" name="user_data[province]">
											{html_options options=$user_data.province_options selected=$user_data.province}
										</select>
									{else}
										{$user_data.province_options[$user_data.province]}
									{/if}
								</td>
							</tr>
							</tbody>

							<tbody id="state" {if $user_data.country == 'CA'}style="display:none"{/if}>
							<tr onClick="showHelpEntry('province')">
								<td class="{isvalid object="uf" label="province" value="cellLeftEditTable"}">
									State:
								</td>
								<td class="cellRightEditTable">
									{if $permission->Check('user','edit_advanced')}
										<select id="state" name="user_data[state]">
											{html_options options=$user_data.state_options selected=$user_data.province}
										</select>
									{else}
										{$user_data.province_options[$user_data.province]}
									{/if}
								</td>
							</tr>
							</tbody>
*}
							<tr onClick="showHelpEntry('postal_code')">
								<td class="{isvalid object="uf" label="postal_code" value="cellLeftEditTable"}">
									{if $incomplete == 1}<font color="red">*</font>{/if}Postal / Zip Code:
								</td>
								<td class="cellRightEditTable">
									<input type="text" name="user_data[postal_code]" value="{$user_data.postal_code}">
								</td>
							</tr>

							<tr onClick="showHelpEntry('work_phone')">
								<td class="{isvalid object="uf" label="work_phone,work_phone_ext" value="cellLeftEditTable"}">
									Work Phone:
								</td>
								<td class="cellRightEditTable">
									<input type="text" name="user_data[work_phone]" value="{$user_data.work_phone}">
									Ext: <input type="text" name="user_data[work_phone_ext]" value="{$user_data.work_phone_ext}" size="6">
								</td>
							</tr>

							<tr onClick="showHelpEntry('home_phone')">
								<td class="{isvalid object="uf" label="home_phone" value="cellLeftEditTable"}">
									{if $incomplete == 1}<font color="red">*</font>{/if}Home Phone:
								</td>
								<td class="cellRightEditTable">
									<input type="text" name="user_data[home_phone]" value="{$user_data.home_phone}">
								</td>
							</tr>

							<tr onClick="showHelpEntry('mobile_phone')">
								<td class="{isvalid object="uf" label="mobile_phone" value="cellLeftEditTable"}">
									Mobile Phone:
								</td>
								<td class="cellRightEditTable">
									<input type="text" name="user_data[mobile_phone]" value="{$user_data.mobile_phone}">
								</td>
							</tr>

							<tr onClick="showHelpEntry('fax_phone')">
								<td class="{isvalid object="uf" label="fax_phone" value="cellLeftEditTable"}">
									Fax:
								</td>
								<td class="cellRightEditTable">
									<input type="text" name="user_data[fax_phone]" value="{$user_data.fax_phone}">
								</td>
							</tr>

							<tr onClick="showHelpEntry('work_email')">
								<td class="{isvalid object="uf" label="work_email" value="cellLeftEditTable"}">
									Work Email:
								</td>
								<td class="cellRightEditTable">
									<input type="text" size="30" name="user_data[work_email]" value="{$user_data.work_email}">
								</td>
							</tr>

							<tr onClick="showHelpEntry('home_email')">
								<td class="{isvalid object="uf" label="home_email" value="cellLeftEditTable"}">
									Home Email:
								</td>
								<td class="cellRightEditTable">
									<input type="text" size="30" name="user_data[home_email]" value="{$user_data.home_email}">
								</td>
							</tr>

							<tr onClick="showHelpEntry('birth_date')">
								<td class="{isvalid object="uf" label="birth_date" value="cellLeftEditTable"}">
									Birth Date:
								</td>
								<td class="cellRightEditTable">
									{html_select_date field_array="user_data" prefix="birth_" start_year="1930" month_empty="--" day_empty="--" year_empty="--" time=$user_data.birth_date}
								</td>
							</tr>

							<tr onClick="showHelpEntry('sin')">
								<td class="{isvalid object="uf" label="sin" value="cellLeftEditTable"}">
									SIN / SSN:
								</td>
								<td class="cellRightEditTable">
									{if $permission->Check('user','edit_advanced')}
										<input type="text" name="user_data[sin]" value="{$user_data.sin}" size="15">
									{else}
										{$user_data.sin|default:"N/A"}
									{/if}
								</td>
							</tr>

							<tr onClick="showHelpEntry('note')">
								<td class="{isvalid object="uf" label="note" value="cellLeftEditTable"}">
									Note:
								</td>
								<td class="cellRightEditTable">
									<textarea rows="5" cols="45" name="user_data[note]">{$user_data.note|escape}</textarea>
								</td>
							</tr>

						</table>
					</td>
				</tr>
			</table>
		</div>
		<div id="contentBoxFour">
			<input type="submit" class="btnSubmit" name="action" value="Submit">
		</div>

		<input type="hidden" name="user_data[id]" value="{$user_data.id}">
		<input type="hidden" name="incomplete" value="{$incomplete}">
		<input type="hidden" name="saved_search_id" value="{$saved_search_id}">
		</form>
	</div>
</div>
{*
{if $permission->Check('user','edit_advanced') AND $user_data.id != ''}
<br>
<br>
<div id="rowContent">
  <div id="titleTab"><div class="textTitle"><span class="textTitleSub">Messages</span></div>
</div>
<div id="rowContentInner">
	<div id="contentBoxTwoEdit">
			<table class="tblList">
				<tr>
					<td>
						{embeddedmessagelist object_type_id=50 object_id=$user_data.id}
					</td>
				</tr>
			</table>
	</div>
</div>
{/if}
*}
{include file="footer.tpl"}